package cn.iocoder.yudao.module.reward.controller.admin.reward;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.reward.api.reward.RedeemRewardApi;
import cn.iocoder.yudao.module.reward.api.reward.dto.RedeemRewardReqVO;
import cn.iocoder.yudao.module.reward.api.reward.dto.RedeemRewardRespDTO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.validation.Valid;

import java.util.List;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Validated
@RestController
@Api(tags = "管理后台 - 礼品管理")
@RequestMapping("/reward/redeem")
public class RedeemRewardController {

    @Resource
    private RedeemRewardApi redeemRewardApi;

    @PostMapping("/single")
    @ApiOperation("兑换礼品")
    //@PreAuthorize("@ss.hasPermission('reward::redeem')")
    public CommonResult<RedeemRewardRespDTO> redeemReward(@Valid @RequestBody RedeemRewardReqVO redeemRewardReqVO) {
        return success(redeemRewardApi.redeemReward(redeemRewardReqVO));
    }

    @PostMapping("/batch")
    @ApiOperation("批量兑换礼品")
    //@PreAuthorize("@ss.hasPermission('reward::redeem')")
    public CommonResult<List<RedeemRewardRespDTO>> redeemRewards(@Valid @RequestBody List<RedeemRewardReqVO> redeemRewardReqVOList) {
        return success(redeemRewardApi.redeemRewards(redeemRewardReqVOList));
    }
}
